<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
<script>
	var data = <?= json_encode($shortCodes) ?>;
	(function ($) {
		$(function () {
			function escapeRegExp(str) {
				return str.replace(/[.*+?^${}()|[\]\\]/g, "\\$&");
			}

			function parseText(text) {
				for (var key in data) {
					text = text.replace(new RegExp(escapeRegExp('[' + key + ']'), 'g'), data[key]);
				}
				return text;
			}

			function getPartsText(text) {
				var length = text.length;
				var parts = length <= 160 ? 1 : Math.ceil(length / 153);
				return parts + ' segment' + (parts > 1 ? 's' : '') + ', ' + length + ' character' + (length === 1 ? '' : 's');
			}

			$('[data-preview]').each(function () {
				var $this = $(this);
				var selector = $this.data('preview');
				$(selector).on('input', function () {
					$this.val(parseText($(this).val()));
					$this.trigger('input');
				});
				$this.val(parseText($(selector).val()));
			});

			$('[data-parts-counter]').each(function () {
				var $this = $(this);
				var selector = $this.data('partsCounter');
				$(selector).on('input', function () {
					$this.text(getPartsText($(this).val()));
				});
				$this.text(getPartsText($(selector).val()));
			})
		});
	})(jQuery);

</script>

<ul class="nav nav-tabs" style="margin-top: 25px;">
	<li<?php if ($page === 'default'): ?> class="active"<?php endif; ?>>
		<a href="?page=<?= $domain ?>">Dashboard</a>
	</li>
	<li<?php if ($page === 'logs'): ?> class="active"<?php endif; ?>>
		<a href="?page=<?= $domain ?>&payspage=logs">Logs</a>
	</li>
	<li<?php if ($page === 'settings'): ?> class="active"<?php endif; ?>>
		<a href="?page=<?= $domain ?>&payspage=settings">Settings</a>
	</li>
</ul>
